import os, sys
from pylab import *

from helmholtz_mfs_examples import *

def prob_discs1(xc):
    k = 16
    xcs = [[0, 0], xc]
    rs = [0.1, 0.3]
    bcs = [1, 1]
    ms = [50, 50]
    Rs = array(rs) * 0.9
    ns = [10, 10]
    return prob_discs(k, xcs, rs, bcs, ms, Rs, ns)

#prefix = os.tempnam(".", "helmholtz_mfs_anim_")
prefix = "helmholtz_mfs_anim_f"
nframes = 40
t = arange(nframes)/float(nframes)
xcs = zip(-3*cos(2*pi*t), 1.5*ones(nframes))
for i in range(nframes):
    cla()
    prob = prob_discs1(xcs[i])
    c = linls(prob, prob.z)
    prob_discs_plot(prob, prob.z, c)
    fname = '%s_%03d.png' % (prefix, i)
    axis([-2,2,-2,2])
    print 'Saving frame', fname
    savefig(fname)
    #files.append(fname)

print 'Making movie %s.mpg - this make take a while' % prefix
os.system("mencoder 'mf://%s_*.png' -mf type=png:fps=6 \
  -ovc lavc -lavcopts vcodec=wmv2 -oac copy -o %s.mpg" % (prefix, prefix))

# cleanup
#for fname in files: os.remove(fname)
os.system("rm -f %s_*.png" % prefix)

